Bug 1847089 - [4.3] Pods consuming azuredisk volume are stuck in ContainerCreating status on RHEL78 node
Summary: [4.3] Pods consuming azuredisk volume are stuck in ContainerCreating status o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.z
Assignee: Jan Safranek
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On: 1847087
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-15 15:53 UTC by Jan Safranek
Modified: 2020-07-07 14:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Kubernetes volume plugin for Azure disks expected new udev rules installed on the host operating system. Consequence: Kubernetes volume plugin for Azure disks was not able to find attached Azure volumes and any pod that used the volumes could not start on RHEL7. Fix: Kubernetes volume plugin for Azure disks now scans for attached Azure disks even with RHEL7 udev rules. Result: Pods with Azure disk volumes are able to start on RHEL7.
Clone Of: 1847087
Environment:
Last Closed: 2020-07-07 14:48:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25110 None closed Bug 1847089: UPSTREAM: 86691: fix: azure disk could not mounted on Standard_DC4s/DC2s 2020-08-30 23:16:15 UTC
Red Hat Product Errata RHBA-2020:2805 None None None 2020-07-07 14:48:42 UTC

Comment 4 Qin Ping 2020-06-28 03:29:54 UTC
verified with: 4.3.0-0.nightly-2020-06-27-134851

Comment 6 errata-xmlrpc 2020-07-07 14:48:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2805


Note You need to log in before you can comment on or make changes to this bug.